---
title: "Audit"
source: /nl/gcxone/api/audit
locale: nl
updated: 2026-09-04
---
Operaties op audit‑bronnen. 5 eindpunten, elk relatief ten opzichte van `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authentication](/gcxone/api/authentication).

## POST /log/audit

Voeg een nieuw audit‑record toe. Over het algemeen registreren alle CRUD‑API’s de gebruikersacties in het auditlog wanneer de API succesvol wordt uitgevoerd. Deze AUDIT POST‑API wordt gebruikt om gebruikersinteracties vast te leggen die niet via andere API‑calls kunnen worden geregistreerd.

### Request body

Auditfiltering en sortering

```json
{
  "action": "string",
  "category": "string",
  "mqttPush": "boolean",
  "payload": {
    "sourceEntityLevel": "sensor | device | site | account",
    "sourceEntityId": "string"
  },
  "deltaPayload": "string",
  "source": "string",
  "subCategory": "string",
  "userAction": "string",
  "actionStatus": "string",
  "actionTime": "number",
  "workflowId": "string",
  "workflowName": "string",
  "userName": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Forbidden |  |

Voorbeeld `200` antwoord:

```json
{
  "data": "Audit added successfully"
}
```

## GET /log/audit/eventlist/workflowid/{id}

Haal de lijst met gebeurtenissen op die aan een workflow zijn gekoppeld.

### Parameters

| Naam | In | Type | Vereist | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja | Workflow-ID |

### Antwoorden

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 400 | Ongeldige invoer |  |
| 403 | Verboden |  |

Voorbeeld `200` antwoord:

```json
{
  "data": {
    "errorCode": 0,
    "errorMessage": "if errorCode above is a negative number then this errorMessage field will give more details.",
    "message": [
      "62cba820173001197cf10420",
      "62cbac84a520010f074a4403"
    ]
  }
}
```

Voorbeeld `400` antwoord:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

## POST /log/audit/filter

Haalt auditlogs op met filteren, sorteren en pagineren. Het maakt hiërarchisch niveau zoeken mogelijk. Het kan gefilterd worden met opgegeven hiërarchie of gebruikt de hiërarchie van de ingelogde gebruiker. Dit biedt de optie om extra entiteitsvelden in de respons op te nemen. Biedt tevens configuratie‑metadata over de entiteit.

### Verzoek body

Auditfiltering en sortering

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Reacties

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

Voorbeeld `200` antwoord:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "Audit",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "action": "Search or Tree node click",
      "actionStatus": "Success",
      "category": "Video Activity Search",
      "sourceEntityName": "8428 Moll Kaarst Lackierhalle",
      "subCategory": "Search",
      "timeStamp": 1656405046000,
      "userAction": "Event search result has been fetched",
      "userEmail": "admin@tenant.de",
      "deltaPayload": "Import Report"
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /log/audit/report/workflowid/{id}/timezone/{tzone}

Een PDF‑bestand met workflow‑details.

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja | Werk flow id |
| tzone | pad | string | nee | Tijdzone van client‑applicatie. |

### Reacties

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 400 | Ongeldige invoer |  |
| 403 | Verboden |  |

## POST /log/eventlog

Ophalen lijst van eventlogs voor een specifieke entiteit.

### Verzoek body

Ophalen eventlogs.

```json
{
  "entityId": "string",
  "startTime": "number",
  "endTime": "number",
  "page": "number"
}
```

### Responses

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 400 | Ongeldige invoer |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

Voorbeeld `200` respons:

```json
{
  "data": {
    "errorCode": 0,
    "message": {
      "eventLogs": [
        {
          "workFlowId": "8a81bc4c820160182151cd2e86160",
          "type": "WORKFLOW",
          "timestamp": 1658211586783,
          "userName": "Christian John",
          "status": "CLOSED",
          "workflowOutcome": "alarm_false",
          "message": "Verbindungsausfall V1.1",
          "workflowOutcomeName": "Falsealarm"
        }
      ],
      "nextPage": 1
    }
  }
}
```

Voorbeeld `400` respons:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

Voorbeeld `404` respons:

```json
{
  "errorCode": "404",
  "errorDesc": "Not Found"
}
```